Subject: Re: [PATCH v3 04/11] contrib: remove "thunderbird-patch-inline"

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 May 2025 15:49:00 -0700

Patrick Steinhardt <[email-masked]> writes:

> The "thunderbird-patch-inline" directory in "contrib/" contains a script
> to send patch files via Thunderbird. This script depends on the
> ExternalEditor extension [1], which seems to be effectively unmaintained
> with the last update being in 2008. While the extension has eventually
> been maintained in [2], that fork hasn't received any updates since
> 2020, either.
>
> As such, the ExternalEditor extension does not work with modern versions
> of Thunderbird anymore, and as the "thunderbird-patch-inline" script
> depends on the ExternalEditor extension it likely doesn't work anymore,
> either. The fact that this script hasn't been touched for the last 10
> years outside of some global cleanup supports the idea that it is not
> useful anymore.
>
> Remove it.
>
> [1]: https://globs.org/articles.php?lng=en&pg=2
> [2]: https://github.com/exteditor/exteditor/releases
>
> Signed-off-by: Patrick Steinhardt <[email-masked]>
> ---
>  contrib/thunderbird-patch-inline/README  | 20 ------------
>  contrib/thunderbird-patch-inline/appp.sh | 55 --------------------------------
>  2 files changed, 75 deletions(-)

I've dropped this step out of 'next' for now, to give Phillip's
update a chance.

cf. <[email-masked]>